Bug 1122515 - Create application from code with a given branch - it doesn't respect the branch if it contains '/' character
Summary: Create application from code with a given branch - it doesn't respect the bra...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Master
Version: 2.x
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Lili Nader
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 12:12 UTC by Balazs Varga
Modified: 2015-05-15 00:56 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-10 00:49:29 UTC


Attachments (Terms of Use)

Description Balazs Varga 2014-07-23 12:12:38 UTC
Description of problem:
When I create an application from source code (not custom cartridge, application source code!) and I specify a branch which contains "/" character then it uses the master branch.


Version-Release number of selected component (if applicable):
current prod, ami-86fc35ee - devenv_4998

How reproducible:
always

Steps to Reproduce:

Create application from the web ui and fill the source code fill with a branch which contains '/' character, ex.: bvarga/bug_1000435_xxx

OR

$ rhc create-app drupal php-5.4 mysql-5.5 --from-code=https://github.com/vbalazs/drupal-quickstart.git#bvarga/bug_1012981_drupal_quickstart_generate_and_show_password

(the branch or repo above may be removed in the future)

Actual results:

It creates the application from the master branch.

Expected results:

It uses the given branch even if it contains '/'

Additional info:

It works fine if I give SHA (short or long) or a branch without '/' ex. "test".

Comment 3 zhaozhanqi 2014-07-30 02:26:33 UTC
Verified this bug on devenv_5027

#rhc app show drupal
drupal @ http://drupal-xxx.dev.rhcloud.com/ (uuid: 53d88e74e1479e949000001c)
------------------------------------------------------------------------------
  Domain:          xxx
  Created:         2:19 AM
  Gears:           1 (defaults to small)
  Git URL:         ssh://53d88e74e1479e949000001c@drupal-xxx.dev.rhcloud.com/~/git/drupal.git/
  Initial Git URL: https://github.com/vbalazs/drupal-quickstart.git#bvarga/bug_1012981_drupal_quickstart_generate_and_show_password


Note You need to log in before you can comment on or make changes to this bug.